Package com.documentum.xml.xquery

# Enum Class IDfXQuery.FtQueryDebugOptions

java.lang.Object
java.lang.Enum<IDfXQuery.FtQueryDebugOptions>
com.documentum.xml.xquery.IDfXQuery.FtQueryDebugOptions

All Implemented Interfaces:
  `Serializable`, `Comparable<IDfXQuery.FtQueryDebugOptions>`, `Constable`

Enclosing interface:
  IDfXQuery

public static enum IDfXQuery.FtQueryDebugOptions extends Enum<IDfXQuery.FtQueryDebugOptions>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `QUERY_ID`
  The internally generated query-id by the fulltext engine associated with this query

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IDfXQuery.FtQueryDebugOptions`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IDfXQuery.FtQueryDebugOptions[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### QUERY_ID

    public static final IDfXQuery.FtQueryDebugOptions QUERY_ID
    The internally generated query-id by the fulltext engine associated with this query

- ## Method Details

  - ### values

    public static IDfXQuery.FtQueryDebugOptions[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IDfXQuery.FtQueryDebugOptions valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null